
/*
 *                      ***************
 *                      * X R F D . C *
 *                      ***************
 *
 * This file contains global externals and tables used by the C xrf'er.
 *
 * Version 1.5           3-Jul-80       Added RT-11 compatibility.
 * Version 1.6		10-Jul-80 MM	Added new stuff
 * Version 1.7		22-Jul-80 MM	For fwild() stuff
 */

#include <stdio.h>
#include "xrf.h"

FILE *src;              /* Source file pointer */
FILE *lst;              /* List file pointer */
char *src_arg;		/* Pointer to source file name argument */
char *lst_arg;		/* Pointer to list file name argument */
char src_name[40];	/* Source file name */
char lst_name[40];	/* List file name */

int  lineno = 0;          /* Current source line number */
int  linpg = 0;            /* Line-in-page count */
int  rperline = (LWIDTH - 16) / RSIZE;

char pghead[LWIDTH+1];

char scanbf[LWIDTH+1];  /* Source line scan buffer */
char *scanp;            /* Scan pointer */

char idbuf[NCPS+1];     /* Ident. string buffer */

struct idt *root;       /* ID tree root */
long time_of_day;	/* For unix flavored systems	*/

int debug;		/* Debug flag */

